[config]
num_di=0
num_do=0
num_rw=0
num_ro=93
num_roles=60
num_ot=2
num_di=0
dev_category=0
dev_rating=0.0
ro_fn=3
rw_poll_once=0
ro_multiblock=1
rw_multiblock=0
device_type_id=7036
name=Huawei SUN2000 100-330KTL
auth=0
client_id=0
password=ABCD0001
description=Huawei SUN2000-100/110/125/150/200/250/300KTL Inverter Models
di_base_address=1
do_base_address=1
rw_base_address=1
ro_base_address=1
ro_var_0=Alarm_Code_1
ro_desc_0=Alarm 1
ro_p_0=0
ro_i_0=0
ro_reg_0=32008
ro_var_1=Alarm_Code_2
ro_desc_1=Alarm 2
ro_p_1=0
ro_i_1=0
ro_reg_1=32009
ro_var_2=Alarm_Code_3
ro_desc_2=Alarm 3
ro_p_2=0
ro_i_2=0
ro_reg_2=32010
ro_var_3=Alarm_Code_4
ro_desc_3=Alarm 4
ro_p_3=0
ro_i_3=0
ro_reg_3=32011
ro_var_4=Alarm_Code_5
ro_desc_4=Alarm 5
ro_p_4=0
ro_i_4=0
ro_reg_4=32012
ro_var_5=newreg62
ro_desc_5=undefined
ro_p_5=0
ro_i_5=0
ro_reg_5=32013
ro_var_6=newreg63
ro_desc_6=undefined
ro_p_6=0
ro_i_6=0
ro_reg_6=32014
ro_var_7=newreg64
ro_desc_7=undefined
ro_p_7=0
ro_i_7=0
ro_reg_7=32015
ro_var_8=DC_Voltage_1
ro_desc_8=DC Voltage PV 1
ro_p_8=0
ro_i_8=0
ro_reg_8=32016
ro_var_9=Current_String_1
ro_desc_9=String 1 Current
ro_p_9=0
ro_i_9=0
ro_reg_9=32017
ro_var_10=newreg65
ro_desc_10=undefined
ro_p_10=0
ro_i_10=0
ro_reg_10=32018
ro_var_11=Current_String_2
ro_desc_11=String 3 Current
ro_p_11=0
ro_i_11=0
ro_reg_11=32019
ro_var_12=DC_Voltage_2
ro_desc_12=DC Voltage PV 2
ro_p_12=0
ro_i_12=0
ro_reg_12=32020
ro_var_13=Current_String_3
ro_desc_13=String 3 Current
ro_p_13=0
ro_i_13=0
ro_reg_13=32021
ro_var_14=newreg66
ro_desc_14=undefined
ro_p_14=0
ro_i_14=0
ro_reg_14=32022
ro_var_15=Current_String_4
ro_desc_15=String 4 Current
ro_p_15=0
ro_i_15=0
ro_reg_15=32023
ro_var_16=DC_Voltage_3
ro_desc_16=DC Voltage PV 3
ro_p_16=0
ro_i_16=0
ro_reg_16=32024
ro_var_17=Current_String_5
ro_desc_17=String 5 Current
ro_p_17=0
ro_i_17=0
ro_reg_17=32025
ro_var_18=newreg67
ro_desc_18=undefined
ro_p_18=0
ro_i_18=0
ro_reg_18=32026
ro_var_19=Current_String_6
ro_desc_19=String 6 Current
ro_p_19=0
ro_i_19=0
ro_reg_19=32027
ro_var_20=DC_Voltage_4
ro_desc_20=DC Voltage PV 4
ro_p_20=0
ro_i_20=0
ro_reg_20=32028
ro_var_21=Current_String_7
ro_desc_21=String 7 Current
ro_p_21=0
ro_i_21=0
ro_reg_21=32029
ro_var_22=newreg68
ro_desc_22=undefined
ro_p_22=0
ro_i_22=0
ro_reg_22=32030
ro_var_23=Current_String_8
ro_desc_23=String 8 Current
ro_p_23=0
ro_i_23=0
ro_reg_23=32031
ro_var_24=DC_Voltage_5
ro_desc_24=DC Voltage PV 5
ro_p_24=0
ro_i_24=0
ro_reg_24=32032
ro_var_25=Current_String_9
ro_desc_25=String 9 Current
ro_p_25=0
ro_i_25=0
ro_reg_25=32033
ro_var_26=newreg69
ro_desc_26=undefined
ro_p_26=0
ro_i_26=0
ro_reg_26=32034
ro_var_27=Current_String_10
ro_desc_27=String 10 Current
ro_p_27=0
ro_i_27=0
ro_reg_27=32035
ro_var_28=DC_Voltage_6
ro_desc_28=DC Voltage PV 6
ro_p_28=0
ro_i_28=0
ro_reg_28=32036
ro_var_29=Current_String_11
ro_desc_29=String 11 Current
ro_p_29=0
ro_i_29=0
ro_reg_29=32037
ro_var_30=newreg70
ro_desc_30=undefined
ro_p_30=0
ro_i_30=0
ro_reg_30=32038
ro_var_31=Current_String_12
ro_desc_31=String 12 Current
ro_p_31=0
ro_i_31=0
ro_reg_31=32039
ro_var_32=DC_Voltage_7
ro_desc_32=DC Voltage PV 7
ro_p_32=0
ro_i_32=0
ro_reg_32=32040
ro_var_33=Current_String_13
ro_desc_33=String 13 Current
ro_p_33=0
ro_i_33=0
ro_reg_33=32041
ro_var_34=newreg71
ro_desc_34=undefined
ro_p_34=0
ro_i_34=0
ro_reg_34=32042
ro_var_35=Current_String_14
ro_desc_35=String 14 Current
ro_p_35=0
ro_i_35=0
ro_reg_35=32043
ro_var_36=DC_Voltage_8
ro_desc_36=DC Voltage PV 8
ro_p_36=0
ro_i_36=0
ro_reg_36=32044
ro_var_37=Current_String_15
ro_desc_37=String 15 Current
ro_p_37=0
ro_i_37=0
ro_reg_37=32045
ro_var_38=newreg72
ro_desc_38=undefined
ro_p_38=0
ro_i_38=0
ro_reg_38=32046
ro_var_39=Current_String_16
ro_desc_39=String 16 Current
ro_p_39=0
ro_i_39=0
ro_reg_39=32047
ro_var_40=DC_Voltage_9
ro_desc_40=DC Voltage PV 9
ro_p_40=0
ro_i_40=0
ro_reg_40=32048
ro_var_41=Current_String_17
ro_desc_41=String 17 Current
ro_p_41=0
ro_i_41=0
ro_reg_41=32049
ro_var_42=newreg73
ro_desc_42=undefined
ro_p_42=0
ro_i_42=0
ro_reg_42=32050
ro_var_43=Current_String_18
ro_desc_43=String 18 Current
ro_p_43=0
ro_i_43=0
ro_reg_43=32051
ro_var_44=DC_Voltage_10
ro_desc_44=DC Voltage PV 10
ro_p_44=0
ro_i_44=0
ro_reg_44=32052
ro_var_45=Current_String_19
ro_desc_45=String 19 Current
ro_p_45=0
ro_i_45=0
ro_reg_45=32053
ro_var_46=newreg74
ro_desc_46=undefined
ro_p_46=0
ro_i_46=0
ro_reg_46=32054
ro_var_47=Current_String_20
ro_desc_47=String 20 Current
ro_p_47=0
ro_i_47=0
ro_reg_47=32055
ro_var_48=DC_Voltage_11
ro_desc_48=DC Voltage PV 11
ro_p_48=0
ro_i_48=0
ro_reg_48=32056
ro_var_49=Current_String_21
ro_desc_49=String 21 Current
ro_p_49=0
ro_i_49=0
ro_reg_49=32057
ro_var_50=newreg77
ro_desc_50=undefined
ro_p_50=0
ro_i_50=0
ro_reg_50=32058
ro_var_51=Current_String_22
ro_desc_51=String 22 Current
ro_p_51=0
ro_i_51=0
ro_reg_51=32059
ro_var_52=DC_Voltage_12
ro_desc_52=DC Voltage PV 12
ro_p_52=0
ro_i_52=0
ro_reg_52=32060
ro_var_53=Current_String_23
ro_desc_53=String 23 Current
ro_p_53=0
ro_i_53=0
ro_reg_53=32061
ro_var_54=newreg81
ro_desc_54=undefined
ro_p_54=0
ro_i_54=0
ro_reg_54=32062
ro_var_55=Current_String_24
ro_desc_55=String 24 Current
ro_p_55=0
ro_i_55=0
ro_reg_55=32063
ro_var_56=DC_Power
ro_desc_56=Total DC Power
ro_p_56=0
ro_i_56=0
ro_reg_56=32064
ro_var_57=newreg42
ro_desc_57=41
ro_p_57=0
ro_i_57=0
ro_reg_57=32065
ro_var_58=AC_Voltage_AB
ro_desc_58=AC Voltage Phase A to Phase B
ro_p_58=0
ro_i_58=0
ro_reg_58=32066
ro_var_59=AC_Voltage_BC
ro_desc_59=AC Voltage Phase B to Phase C
ro_p_59=0
ro_i_59=0
ro_reg_59=32067
ro_var_60=AC_Voltage_CA
ro_desc_60=AC Voltage Phase C to Phase A
ro_p_60=0
ro_i_60=0
ro_reg_60=32068
ro_var_61=AC_Voltage_AN
ro_desc_61=AC Voltage Phase A to Neutral
ro_p_61=0
ro_i_61=0
ro_reg_61=32069
ro_var_62=AC_Voltage_BN
ro_desc_62=AC Voltage Phase B to Neutral
ro_p_62=0
ro_i_62=0
ro_reg_62=32070
ro_var_63=AC_Voltage_CN
ro_desc_63=AC Voltage Phase C to Neutral
ro_p_63=0
ro_i_63=0
ro_reg_63=32071
ro_var_64=AC_Current_A
ro_desc_64=AC Current Phase A
ro_p_64=0
ro_i_64=0
ro_reg_64=32072
ro_var_65=newreg50
ro_desc_65=48
ro_p_65=0
ro_i_65=0
ro_reg_65=32073
ro_var_66=AC_Current_B
ro_desc_66=AC Current Phase B
ro_p_66=0
ro_i_66=0
ro_reg_66=32074
ro_var_67=newreg21
ro_desc_67=49
ro_p_67=0
ro_i_67=0
ro_reg_67=32075
ro_var_68=AC_Current_C
ro_desc_68=AC Current Phase C
ro_p_68=0
ro_i_68=0
ro_reg_68=32076
ro_var_69=newreg23
ro_desc_69=50
ro_p_69=0
ro_i_69=0
ro_reg_69=32077
ro_var_70=newreg83
ro_desc_70=undefined
ro_p_70=0
ro_i_70=0
ro_reg_70=32078
ro_var_71=newreg84
ro_desc_71=undefined
ro_p_71=0
ro_i_71=0
ro_reg_71=32079
ro_var_72=AC_Active_Power
ro_desc_72=Total AC Active Power
ro_p_72=0
ro_i_72=0
ro_reg_72=32080
ro_var_73=newreg25
ro_desc_73=51
ro_p_73=0
ro_i_73=0
ro_reg_73=32081
ro_var_74=AC_Reactive_Power
ro_desc_74=Total AC Reactive Power
ro_p_74=0
ro_i_74=0
ro_reg_74=32082
ro_var_75=newreg27
ro_desc_75=52
ro_p_75=0
ro_i_75=0
ro_reg_75=32083
ro_var_76=AC_PF
ro_desc_76=Total AC Power Factor
ro_p_76=0
ro_i_76=0
ro_reg_76=32084
ro_var_77=AC_Frequency
ro_desc_77=Total AC Frequency
ro_p_77=0
ro_i_77=0
ro_reg_77=32085
ro_var_78=newreg85
ro_desc_78=undefined
ro_p_78=0
ro_i_78=0
ro_reg_78=32086
ro_var_79=Temperature_Internal
ro_desc_79=Inverter Temperature
ro_p_79=0
ro_i_79=0
ro_reg_79=32087
ro_var_80=newreg87
ro_desc_80=undefined
ro_p_80=0
ro_i_80=0
ro_reg_80=32088
ro_var_81=Status_Code
ro_desc_81=Vendor-defined Operating State
ro_p_81=0
ro_i_81=0
ro_reg_81=32089
ro_var_82=Event_Code
ro_desc_82=Vendor-defined Events and Errors
ro_p_82=0
ro_i_82=0
ro_reg_82=32090
ro_var_83=kWh_Total_Active
ro_desc_83=Lifetime Generation
ro_p_83=1
ro_i_83=0
ro_reg_83=32106
ro_var_84=newreg32
ro_desc_84=57
ro_p_84=1
ro_i_84=0
ro_reg_84=32107
ro_var_85=newreg88
ro_desc_85=undefined
ro_p_85=0
ro_i_85=0
ro_reg_85=32108
ro_var_86=newreg89
ro_desc_86=undefined
ro_p_86=0
ro_i_86=0
ro_reg_86=32109
ro_var_87=newreg90
ro_desc_87=undefined
ro_p_87=0
ro_i_87=0
ro_reg_87=32110
ro_var_88=newreg91
ro_desc_88=undefined
ro_p_88=0
ro_i_88=0
ro_reg_88=32111
ro_var_89=newreg92
ro_desc_89=undefined
ro_p_89=0
ro_i_89=0
ro_reg_89=32112
ro_var_90=newreg93
ro_desc_90=undefined
ro_p_90=0
ro_i_90=0
ro_reg_90=32113
ro_var_91=kWh_Day_Active
ro_desc_91=Daily Generation
ro_p_91=1
ro_i_91=0
ro_reg_91=32114
ro_var_92=newreg34
ro_desc_92=58
ro_p_92=1
ro_i_92=0
ro_reg_92=32115
role_var_0=AC_Active_Power
role_type_0=27
role_idx_0=72
role_scale_0=1
role_var_1=AC_Reactive_Power
role_type_1=27
role_idx_1=74
role_scale_1=1
role_var_2=AC_PF
role_type_2=2
role_idx_2=76
role_scale_2=1000
role_var_3=kWh_Total_Active
role_type_3=25
role_idx_3=83
role_scale_3=100
role_var_4=kWh_Day_Active
role_type_4=25
role_idx_4=91
role_scale_4=100
role_var_5=DC_Voltage_1
role_type_5=2
role_idx_5=8
role_scale_5=10
role_var_6=Current_String_1
role_type_6=2
role_idx_6=9
role_scale_6=100
role_var_7=Current_String_2
role_type_7=2
role_idx_7=11
role_scale_7=100
role_var_8=DC_Voltage_2
role_type_8=2
role_idx_8=12
role_scale_8=10
role_var_9=Current_String_3
role_type_9=2
role_idx_9=13
role_scale_9=100
role_var_10=Current_String_4
role_type_10=2
role_idx_10=15
role_scale_10=100
role_var_11=DC_Voltage_3
role_type_11=2
role_idx_11=16
role_scale_11=10
role_var_12=Current_String_5
role_type_12=2
role_idx_12=17
role_scale_12=100
role_var_13=Current_String_6
role_type_13=2
role_idx_13=19
role_scale_13=100
role_var_14=DC_Voltage_4
role_type_14=2
role_idx_14=20
role_scale_14=10
role_var_15=Current_String_7
role_type_15=2
role_idx_15=21
role_scale_15=100
role_var_16=Current_String_8
role_type_16=2
role_idx_16=23
role_scale_16=100
role_var_17=DC_Voltage_5
role_type_17=2
role_idx_17=24
role_scale_17=10
role_var_18=Current_String_9
role_type_18=2
role_idx_18=25
role_scale_18=100
role_var_19=Current_String_10
role_type_19=2
role_idx_19=27
role_scale_19=100
role_var_20=DC_Voltage_6
role_type_20=2
role_idx_20=28
role_scale_20=10
role_var_21=Current_String_11
role_type_21=2
role_idx_21=29
role_scale_21=100
role_var_22=Current_String_12
role_type_22=2
role_idx_22=31
role_scale_22=100
role_var_23=DC_Voltage_7
role_type_23=2
role_idx_23=32
role_scale_23=10
role_var_24=Current_String_13
role_type_24=2
role_idx_24=33
role_scale_24=100
role_var_25=Current_String_14
role_type_25=2
role_idx_25=35
role_scale_25=100
role_var_26=DC_Voltage_8
role_type_26=2
role_idx_26=36
role_scale_26=10
role_var_27=Current_String_15
role_type_27=2
role_idx_27=37
role_scale_27=100
role_var_28=Current_String_16
role_type_28=2
role_idx_28=39
role_scale_28=100
role_var_29=DC_Voltage_9
role_type_29=2
role_idx_29=40
role_scale_29=10
role_var_30=Current_String_17
role_type_30=2
role_idx_30=41
role_scale_30=100
role_var_31=Current_String_18
role_type_31=2
role_idx_31=43
role_scale_31=100
role_var_32=DC_Voltage_10
role_type_32=2
role_idx_32=44
role_scale_32=10
role_var_33=Current_String_19
role_type_33=2
role_idx_33=45
role_scale_33=100
role_var_34=Current_String_20
role_type_34=2
role_idx_34=47
role_scale_34=100
role_var_35=DC_Power
role_type_35=27
role_idx_35=56
role_scale_35=1
role_var_36=AC_Voltage_AB
role_type_36=2
role_idx_36=58
role_scale_36=10
role_var_37=AC_Voltage_BC
role_type_37=2
role_idx_37=59
role_scale_37=10
role_var_38=AC_Voltage_CA
role_type_38=2
role_idx_38=60
role_scale_38=10
role_var_39=AC_Voltage_AN
role_type_39=2
role_idx_39=61
role_scale_39=10
role_var_40=AC_Voltage_BN
role_type_40=2
role_idx_40=62
role_scale_40=10
role_var_41=AC_Voltage_CN
role_type_41=2
role_idx_41=63
role_scale_41=10
role_var_42=AC_Current_A
role_type_42=27
role_idx_42=64
role_scale_42=1000
role_var_43=AC_Current_B
role_type_43=27
role_idx_43=66
role_scale_43=1000
role_var_44=AC_Current_C
role_type_44=27
role_idx_44=68
role_scale_44=1000
role_var_45=AC_Frequency
role_type_45=2
role_idx_45=77
role_scale_45=100
role_var_46=Status_Code
role_type_46=2
role_idx_46=81
role_scale_46=1
role_var_47=Event_Code
role_type_47=2
role_idx_47=82
role_scale_47=1
role_var_48=Alarm_Code_1
role_type_48=31
role_idx_48=0
role_scale_48=1
role_var_49=Alarm_Code_2
role_type_49=31
role_idx_49=1
role_scale_49=1
role_var_50=Alarm_Code_3
role_type_50=31
role_idx_50=2
role_scale_50=1
role_var_51=Alarm_Code_4
role_type_51=31
role_idx_51=3
role_scale_51=1
role_var_52=Alarm_Code_5
role_type_52=31
role_idx_52=4
role_scale_52=1
role_var_53=Temperature_Internal
role_type_53=2
role_idx_53=79
role_scale_53=10
role_var_54=DC_Voltage_11
role_type_54=2
role_idx_54=48
role_scale_54=10
role_var_55=Current_String_21
role_type_55=2
role_idx_55=49
role_scale_55=100
role_var_56=Current_String_22
role_type_56=2
role_idx_56=51
role_scale_56=100
role_var_57=DC_Voltage_12
role_type_57=2
role_idx_57=52
role_scale_57=10
role_var_58=Current_String_23
role_type_58=2
role_idx_58=53
role_scale_58=100
role_var_59=Current_String_24
role_type_59=2
role_idx_59=55
role_scale_59=100
ot_type_0=1
ot_func_0=3
ot_address_0=30000
ot_count_0=15
ot_type_1=0
ot_func_1=3
ot_address_1=30015
ot_count_1=10

